/* imgsizer (flexible images for fluid sites) */
var imgSizer={
    Config:{
        imgCache:[],
        spacer:"/path/to/your/spacer.gif"
    },
    collate:function(aScope){
        var isOldIE=(document.all&&!window.opera&&!window.XDomainRequest)?1:0;
        if(isOldIE&&document.getElementsByTagName){
            var c=imgSizer;
            var imgCache=c.Config.imgCache;
            var images=(aScope&&aScope.length)?aScope:document.getElementsByTagName("img");
            for(var i=0;i<images.length;i++){
                images[i].origWidth=images[i].offsetWidth;
                images[i].origHeight=images[i].offsetHeight;
                imgCache.push(images[i]);
                c.ieAlpha(images[i]);
                images[i].style.width="100%";
            }
            if(imgCache.length){
                c.resize(function(){
                    for(var i=0;i<imgCache.length;i++){
                        var ratio=(imgCache[i].offsetWidth/imgCache[i].origWidth);
                        imgCache[i].style.height=(imgCache[i].origHeight*ratio)+"px";
                    }
                    });
        }
    }
},
ieAlpha:function(img){
    var c=imgSizer;
    if(img.oldSrc){
        img.src=img.oldSrc;
    }
    var src=img.src;
    img.style.width=img.offsetWidth+"px";
    img.style.height=img.offsetHeight+"px";
    img.style.filter="progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+src+"', sizingMethod='scale')"
    img.oldSrc=src;
    img.src=c.Config.spacer;
},
resize:function(func){
    var oldonresize=window.onresize;
    if(typeof window.onresize!='function'){
        window.onresize=func;
    }else{
        window.onresize=function(){
            if(oldonresize){
                oldonresize();
            }
            func();
        }
    }
}
}

// add twitter bootstrap classes and color based on how many times tag is used
function addTwitterBSClass(thisObj) {
    var title = $(thisObj).attr('title');
    if (title) {
        var titles = title.split(' ');
        if (titles[0]) {
            var num = parseInt(titles[0]);
            if (num > 0)
                $(thisObj).addClass('label');
            if (num == 2)
                $(thisObj).addClass('label label-info');
            if (num > 2 && num < 4)
                $(thisObj).addClass('label label-success');
            if (num >= 5 && num < 10)
                $(thisObj).addClass('label label-warning');
            if (num >=10)
                $(thisObj).addClass('label label-important');
        }
    }
    else
        $(thisObj).addClass('label');
    return true;
}


// as the page loads, cal these scripts
$(document).ready(function() {

    // modify tag cloud links to match up with twitter bootstrap
    $("#tag-cloud a").each(function() {
        addTwitterBSClass(this);
        return true;
    });
	
    $("p.tags a").each(function() {
        addTwitterBSClass(this);
        return true;
    });
	
    $("ol.commentlist a.comment-reply-link").each(function() {
        $(this).addClass('btn btn-success btn-mini');
        return true;
    });
	
    $('#cancel-comment-reply-link').each(function() {
        $(this).addClass('btn btn-danger btn-mini');
        return true;
    });
	
    $('article.post').hover(function(){
        $('a.edit-post').show();
    },function(){
        $('a.edit-post').hide();
    });
	
    // Input placeholder text fix for IE
    $('[placeholder]').focus(function() {
        var input = $(this);
        if (input.val() == input.attr('placeholder')) {
            input.val('');
            input.removeClass('placeholder');
        }
    }).blur(function() {
        var input = $(this);
        if (input.val() == '' || input.val() == input.attr('placeholder')) {
            input.addClass('placeholder');
            input.val(input.attr('placeholder'));
        }
    }).blur();
	
    // Prevent submission of empty form
    $('[placeholder]').parents('form').submit(function() {
        $(this).find('[placeholder]').each(function() {
            var input = $(this);
            if (input.val() == input.attr('placeholder')) {
                input.val('');
            }
        })
    });
	
    $('#s').focus(function(){
        if( $(window).width() < 940 ){
            $(this).animate({
                width: '200px'
            });
        }
    });
	
    $('#s').blur(function(){
        if( $(window).width() < 940 ){
            $(this).animate({
                width: '100px'
            });
        }
    });
			
    $('.alert-message').alert();
	
    $('.dropdown-toggle').dropdown();

    /* service page menu links script*/
    $('#Services').click(function(){
        $('body,html').animate({
            scrollTop: 0
        },
        {
            easing: 'swing',
            duration: 800,
            complete: function(){
                $("#topnav li").removeClass("current");
            }  
        }
        );
    });
		
			
			
    $('#topnav').onePageNav({
        currentClass: 'current',
        
        scrollOffset: 0
    }
            
    );
    /* faq's page accordion links script */
		
    $('.accordion').on('show hide', function(e){
        $(e.target).siblings('.accordion-heading').find('.accordion-toggle div').toggleClass('plus-icon minus-icon', 200);
		
		
    });
    
/* Banner contact form hide and show script */
 
 
}); /* end of as page load scripts */



/* back to top script */

$(document).ready(function(){
	
    $("#back-top").hide();
    $(function () {
		   
        $(window).scroll(function () {
            if ($(this).scrollTop() > 10) {
                $('#back-top').fadeIn();
            } else {
                $('#back-top').fadeOut();
            }
        });
           
        $('#back-top a').click(function () {
            
            $('body,html').animate({
                scrollTop: 0
            },
            {
                easing: 'swing',
                duration: 800,
                complete: function(){
                    $("#topnav li").removeClass("current");
                }
            });
            return false;
        });
    });
	   
    /* for  iframe  */ 
	   
    $('iframe').each(function(){
        var url = $(this).attr("src");
        var char = "?";
        if(url.indexOf("?") != -1){
            var char = "&";
        }
         
        $(this).attr("src",url+char+"wmode=transparent");
    });
    
    
    $('#commentform').submit(function(){
        alert('form');
        console.log(author);
        if($('#author').val()=='' && $('#email').val()==''){
            alert('Please enter required fields');
        return false;
        }
    });
	   
	   
	   
});
   
   
   
  